
%global meadversion 4.4.2
%global namedversion 4.4.2.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 4
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}ecj}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.4.2.redhat-2

Name:           %{?scl_prefix}ecj
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Eclipse ECJ
Group:          Development/Java

%if %with mead
Source100: ecj-4.4.2.redhat-2-scm-sources.zip
Source102: ecj-4.4.2.redhat-2.pom
Source103: ecj-4.4.2.redhat-2-javadoc.jar
Source104: ecj-4.4.2.redhat-2.jar
Source105: ecj-4.4.2.redhat-2-project-sources.tar.gz
Source106: ecj-4.4.2.redhat-2-sources.jar
%endif

License:        EPL 1.0
URL:            http://www.eclipse.org/jdt/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Eclipse JDT Core Batch Compiler.

%if %with javadoc
%package javadoc
Summary:        Javadoc for ecj
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n eclipse.jdt.core -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/ecj-%{namedversion}.jar %{buildroot}%{_javadir}/ecj-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/ecj-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/ecj-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/ecj-%{namedversion}-sources.jar %{buildroot}%{_javadir}/ecj-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/ecj-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/ecj-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/ecj-%{namedversion} -x META-INF/\*
%{__ln_s} ecj-%{namedversion} %{buildroot}%{_javadocdir}/ecj
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/ecj-%{namedversion}.jar
%{_javadir}/ecj.jar
%if %with javadoc
%{_javadir}/ecj-%{namedversion}-javadoc.jar
%{_javadir}/ecj-javadoc.jar
%endif
%{_javadir}/ecj-%{namedversion}-sources.jar
%{_javadir}/ecj-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/ecj-%{namedversion}
%{_javadocdir}/ecj
%endif

%changelog
* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 4.4.2-4.redhat_2.1
- Re-wrap to include RHEL-6

* Fri May 01 2015 David Walluck <dwalluck@redhat.com> - 4.4.2-3.redhat_2.1
- rebuild to fix version

* Tue Apr 28 2015 David Walluck <dwalluck@redhat.com> - 4.4.2-2.redhat.2
- rebuild to update release number

* Tue Apr 28 2015 David Walluck <dwalluck@redhat.com> - 4.4.2-1.redhat.1
- build for EAP 7

